;;; --- Mode:Lisp; Syntax:Common-Lisp; Package:FUG3 ---
;;; ------------------------------------------------------------
;;; File        : IR3.L
;;; Description : Simple inputs to test GR3
;;; Author      : Michael Elhadad
;;; Created     : 26-Feb-89
;;; Modified    : 18 May 90
;;; Language    : Common Lisp
;;; Package     : FUG3
;;; ------------------------------------------------------------


(format t "IR3 works with GR3 only.~%")

(defun ir30 ()
  (format t "ir30 --> John eats a meal~%")
  (setq ir30
	'((cat clause)
	  (prot ((lex "John")
		 (np-type proper)))
	  (verb ((lex "eat")
		 (transitive-class transitive)))
	  (goal ((lex "meal")
		 (definite no))))))
(ir30)

(defun ir31 ()
  (format t "ir31 --> John gives a blue book to Mary.~%")
  (setq ir31
	'((cat clause)
	  (prot ((lex "John")
		 (np-type proper)))
	  (goal ((lex "book")
		 (np-type common)
		 (definite no)
		 (describer === "blue")))
	  (benef ((lex "Mary")
		  (np-type proper)))
	  (verb ((transitive-class bitransitive)
		 (dative-prep "to")
		 (lex "give"))))))
(ir31)

(defun ir32 ()
  (format t "ir32 --> A book is given by John to Mary.~%")
  (setq ir32
	'((cat clause)
	  (voice passive)
	  (prot ((lex "John")
		 (np-type proper)))
	  (goal ((lex "book")
		 (np-type common)
		 (definite no)))
	  (benef ((lex "Mary")
		  (np-type proper)))
	  (verb ((dative-prep "to")
		 (transitive-class bitransitive)
		 (lex "give"))))))
(ir32)

(defun ir33 ()
  (format t "ir33 --> Mary is thrown a heavy ball by John.~%")
  (setq ir33
	'((cat clause)
	  (prot ((lex "John")
		 (np-type proper)))
	  (goal ((lex "ball")
		 (np-type common)
		 (definite no)
		 (describer === heavy)))
	  (benef ((lex "Mary")
		  (np-type proper)))
	  (subject {benef})
	  (verb ((transitive-class bitransitive)
		 (dative-prep "to")
		 (lex "throw"))))))
(ir33)






